devplugin

## Interface ProgramSearcher

- All Known Implementing Classes:
    AbstractSearcher, ActorSearcher, BooleanSearcher, RegexSearcher

      public interface ProgramSearcher

  A searcher that searches for a programs.
  Author:
    Til Schneider, www.murfman.de

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(Program prog, ProgramFieldType[] typeArr)` Checks whether a field of a program matches to the criteria of this searcher.
    `Program[]` | `search(ProgramFieldType[] fieldArr, Date startDate, int nrDays, Channel[] channels, boolean sortByStartTime)` Searches the TV data base for programs that match the criteria of this searcher.
    `Program[]` | `search(ProgramFieldType[] fieldArr, Date startDate, int nrDays, Channel[] channels, boolean sortByStartTime, ProgressMonitor progress)` Searches the TV data base for programs that match the criteria of this searcher.
    `Program[]` | `search(ProgramFieldType[] fieldArr, Date startDate, int nrDays, Channel[] channels, boolean sortByStartTime, ProgressMonitor progress, javax.swing.DefaultListModel listModel)` Searches the TV data base for programs that match the criteria of this searcher.

- - ### Method Detail

    - #### matches

          boolean matches(Program prog,
                        ProgramFieldType[] typeArr)

      Checks whether a field of a program matches to the criteria of this searcher.
      Parameters:
        `prog` - The program to check.
        `typeArr` - The fields to check.
      Returns:
        Whether at least one field of the program matches.

    - #### search

          Program[] search(ProgramFieldType[] fieldArr,
                         Date startDate,
                         int nrDays,
                         Channel[] channels,
                         boolean sortByStartTime)

      Searches the TV data base for programs that match the criteria of this searcher.
      Parameters:
        `fieldArr` - The fields to search in
        `startDate` - The date to start the search.
        `nrDays` - The number of days to include after the start date. If this value is negative, then all days are searched (beginning with yesterday) and the startDate parameter is ignored.
        `channels` - The channels to search in. If this is `null`, then all subscribed channels are searched.
        `sortByStartTime` - Should the results be sorted by the start time? If not, the results will be grouped by date and channel and the search will be faster.
      Returns:
        The matching programs.

    - #### search

          Program[] search(ProgramFieldType[] fieldArr,
                         Date startDate,
                         int nrDays,
                         Channel[] channels,
                         boolean sortByStartTime,
                         ProgressMonitor progress)

      Searches the TV data base for programs that match the criteria of this searcher.
      Parameters:
        `fieldArr` - The fields to search in
        `startDate` - The date to start the search.
        `nrDays` - The number of days to include after the start date. If this value is negative, then all days are searched (beginning with yesterday) and the startDate parameter is ignored.
        `channels` - The channels to search in. If this is `null`, then all subscribed channels are searched.
        `sortByStartTime` - Should the results be sorted by the start time? If not, the results will be grouped by date and channel and the search will be faster.
        `progress` - progressMonitor for showing the search progress
      Returns:
        The matching programs.

    - #### search

          Program[] search(ProgramFieldType[] fieldArr,
                         Date startDate,
                         int nrDays,
                         Channel[] channels,
                         boolean sortByStartTime,
                         ProgressMonitor progress,
                         javax.swing.DefaultListModel listModel)

      Searches the TV data base for programs that match the criteria of this searcher.
      Parameters:
        `fieldArr` - The fields to search in
        `startDate` - The date to start the search.
        `nrDays` - The number of days to include after the start date. If this value is negative, then all days are searched (beginning with yesterday) and the startDate parameter is ignored.
        `channels` - The channels to search in. If this is `null`, then all subscribed channels are searched.
        `sortByStartTime` - Should the results be sorted by the start time? If not, the results will be grouped by date and channel and the search will be faster.
        `progress` - progressMonitor for showing the search progress
        `listModel` - The list model the found programs should be stored in.
      Returns:
        The matching programs.
      Since:
        2.7

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)